package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.CmsArticleFile;
import org.apache.ibatis.annotations.Mapper;

/** 内容文件 Mapper */
@Mapper
public interface CmsArticleFileMapper {
    /**
     * 查询内容文件列表
     *
     * @param cmsArticleFile 查询条件
     * @return 内容文件列表
     */
    public List<CmsArticleFile> selectCmsArticleFileList(CmsArticleFile cmsArticleFile);

    /**
     * 通过文件ID查询内容文件
     *
     * @param fileId 文件ID
     * @return 内容文件
     */
    public CmsArticleFile selectCmsArticleFileById(String fileId);

    /**
     * 通过文件ID删除内容文件
     *
     * @param fileId 文件ID
     * @return 影响行数
     */
    public int deleteCmsArticleFileById(String fileId);

    /**
     * 批量删除内容文件
     *
     * @param fileIds 文件ID数组
     * @return 影响行数
     */
    public int deleteCmsArticleFileByIds(String[] fileIds);

    /**
     * 修改内容文件
     *
     * @param cmsArticleFile 内容文件
     * @return 影响行数
     */
    public int updateCmsArticleFile(CmsArticleFile cmsArticleFile);

    /**
     * 新增内容文件
     *
     * @param cmsArticleFile 内容文件
     * @return 影响行数
     */
    public int insertCmsArticleFile(CmsArticleFile cmsArticleFile);

    /**
     * 根据文章ID删除文件
     *
     * @param aid 文章ID
     * @return 影响行数
     */
    public int deleteByAid(String aid);
}
